'\" t
.\"	fhist - file history and comparison tools
.\"	Copyright (C) 1993, 1994 Peter Miller.
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.\" MANIFEST: source for the README file
.\"
.TH readme fhist
.so ../doc/version.so
.if n .ad l
.if n .hy 0
.SH NAME
fhist \- file history and comparison tools
.br
.if t .ds C) \(co
.if n .ds C) (C)
Copyright \*(C) 1991, 1992, 1993, 1994 Peter Miller.
.br
All rights reserved.
.PP
Portions of this program are
.br
Copyright \*(C) 1990 David I. Bell.
.PP
The
.I fhist
package is distrributed under the terms of the
GNU General Public License,
see the
.I LICENSE
section,
below,
for more information.
.br
.ne 2i
.SH DESCRIPTION
This package contains three source control utilities.
.TP 8n
fhist
.br
Keeps track of versions of a file.
See
.IR fhist (1)
for more information.
.TP 8n
fcomp
.br
Compares two versions of a file.
See
.IR fcomp (1)
for more information.
.TP 8n
fmerge
.br
Merges together edits from two descendants of a file.
See
.IR fmerge (1)
for more information.
.so ../man1/z_ref.so
.br
.ne 2i
.SH BUILDING
For complete instructions for host to build these programs,
see the
.I BUILDING
file included in this distribution.
.br
.ne 2i
.SH NEW IN THIS RELEASE
A number of features have been added to
.I fhist
with this release.
A few of them are detailed here:
.so new.so
.PP
Plus the usual crop of bug fixes and tinkering.
For excruciating detail,
and also acknowledgements of those who generously sent me feedback,
please see the
.I aux/CHANGES.\*(v)
file included in this distribution.
.br
.ne 1i
.SH ARCHIVE SITE
The latest version of
.I fhist
is available by anonymous FTP from:
.RS
.TS
center,tab(;);
l l s
l l l.
Host:;ftp.nau.edu (134.114.64.90)
Dir:;/pub/Aegis
File:;fhist.\*(v).tar.Z;# the complete source
File:;fhist.\*(v).patch.Z;# patch to take \*(w) to \*(v)
.TE
.RE
.PP
To use anonymous FTP,
give "anonymous" as the user name (omit the quotes)
and your email address as the password.
.PP
My grateful thanks to Paul Balyoz <pab@ftp.cse.nau.edu>
for his generosity in providing this archive space.
.PP
This directory also contains a few other pieces of software written by me.
Please have a look if you are interested.
.PP
For those of you without FTP,
I recommend the use of an ftp-by-email server.
Here is a list of a few (there are many more):
.RS
.nf
ftpmail@decwrl.dec.com
ftpmail@cs.uow.edu.au
.fi
.RE
.PP
In general, you can get a help message about how to use each system
by sending email with a subject of "help"
and a message body containing just the word "help".
.br
.ne 2i
.SH LICENSE
This program is free software;
you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation;
either version 2 of the License,
or (at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY;
without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program;
if not,
write to the Free Software Foundation, Inc.,
675 Mass Ave, Cambridge, MA 02139, USA.
.PP
It should be in the
.I LICENSE
file included in this distribution.
.br
.ne 2i
.SH AUTHORS
.TS
tab(;);
l l l.
Peter Miller;UUCP:;uunet!munnari!bmr.gov.au!pmiller
/\e/\e*;Internet:;pmiller@bmr.gov.au
.sp
David I. Bell;UUCP:;uunet!munnari!pdact.pd.necisa.oz.au!dbell
;Internet:;dbell@pdact.pd.necisa.oz.au
.TE
